- [HTTP request](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities/list#body.request_body)
- [Response body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities/list#body.ListEntitiesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities/list#body.aspect)
- [EntityView](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities/list#EntityView)
- [Try it!](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities/list#try-it)

List metadata entities in a zone.

### HTTP request

`GET https://dataplex.googleapis.com/v1/{parent=projects/*/locations/*/lakes/*/zones/*}/entities`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the parent zone: `projects/{projectNumber}/locations/{locationId}/lakes/{lakeId}/zones/{zoneId}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `dataplex.entities.list` |

### Query parameters

| Parameters ||
|---|---|
| `view` | ``enum (`https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities/list#EntityView`)`` Required. Specify the entity view to make a partial list request. |
| `pageSize` | `integer` Optional. Maximum number of entities to return. The service may return fewer than this value. If unspecified, 100 entities will be returned by default. The maximum value is 500; larger values will will be truncated to 500. |
| `pageToken` | `string` Optional. Page token received from a previous `entities.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `entities.list` must match the call that provided the page token. |
| `filter` | `string` Optional. The following filter parameters can be added to the URL to limit the entities returned by the API: - Entity ID: ?filter="id=entityID" - Asset ID: ?filter="asset=assetID" - Data path ?filter="dataPath=gs://my-bucket" - Is HIVE compatible: ?filter="hive_compatible=true" - Is BigQuery compatible: ?filter="bigquery_compatible=true" |

### Request body

The request body must be empty.

### Response body

List metadata entities response.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "entities": [ { object (`https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities#Entity`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `entities[]` | ``object (`https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.lakes.zones.entities#Entity`)`` Entities in the specified parent zone. |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no remaining results in the list. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dataplex.read-write`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## EntityView

Entity views.

| Enums ||
|---|---|
| `ENTITY_VIEW_UNSPECIFIED` | The default unset value. Return both table and fileset entities if unspecified. |
| `TABLES` | Only list table entities. |
| `FILESETS` | Only list fileset entities. |